require('utils.hmath')
require('utils.helpers')
local World 		= require('world.World')
local mouse   		= require('utils.mouse')

local world

function love.load()
	love.graphics.setDefaultFilter('nearest', 'nearest')
	mouse.load()
	world = World('isometric', 'tilesheet.png')
end

function love.draw()
    love.graphics.scale(SCALE, SCALE)
    world:draw()
	
	mouse.draw()
end

function love.update()
	if love.keyboard.isDown('escape') then love.event.quit(0) end

	mouse.update()
end
